/*    Progedit,h, program editor for LCARS 24 */
/* This program is free software. You may redistribute and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License or
 * (at your option) any later version.
 *
 * Refer to the file C:\LCARS24\DATA\COPYING.TXT for details.
 */

#ifndef PROGEDIT_H
#define PROGEDIT_H


#include "text24.h"


int capX;
int F2F3Disabled;

void PeClearAllBottomLabels();
void PeBottomLabels();
void PePutTime(int color);
int PeSafety();
void PeScreen1();
void PeColorChart();
void PeInfoxy();
void PeDisplayFilename();
void PeDisplayFrameTop();
int PePick(char MenuMode[10]);
void PeDoSave();
int PeDoOpen();
int PeDoNew();
void PeDoSaveAs();
void PeDoFind();
void PeDoFindAndReplace();
void PeDoNext();
void PeDoHelp();
void PeDoGuide();
void PeDoMath();
void PeClearWindow();
void PePutOneChar();
int PeEdit();
int ProgEditMode(char *filespec);
int OpenProgEdit(char *filespec);


#endif


